# 	$Id: xinetd.spec,v 1.1 2001/06/21 09:14:50 chmou Exp chmou $	
%define name 		xinetd
%define version 	2.3.0
%define release 5.1mdk
%define url			http://www.xinetd.org

Summary: 	Xinetd is a powerful replacement for inetd.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		System/Base
Copyright: 	BSD
URL: 		%{url}
Source: 	%{url}/%{name}-%{version}.tar.bz2
Patch0: xinetd-2.3.0-skipjunkfiles.patch.bz2
Patch1: xinetd-2.3.0-filelog.patch.bz2
Patch2: xinetd-2.3.0-owl-audit.diff.bz2
Patch3: xinetd-2.3.0-child.patch.bz2
Source1:		xinetd.init.bz2
Source2:		xinetd.default.config
Source3:		convert.pl
Source4:		xinetd-ttime
Source5:		xinetd-utime
Source6:		xinetd-tdtime
Source7:		xinetd-udtime
Source8:		xinetd-echo
Source9:		xinetd-uecho
Source10:		xinetd-chargen
Source11:		xinetd-uchargen
Source12:		xinetd.sysconf
Source50:		faq.html.bz2
Requires:		/sbin/chkconfig /sbin/service
BuildRequires:	tcp_wrappers
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes: xinetd-devel, netkit-base

%description
xinetd is a powerful replacement for inetd.
xinetd has access control machanisms, extensive logging capabilities,
the ability to make services available based on time, and can place
limits on the number of servers that can be started, among other things.

xinetd has the ability to redirect TCP streams to a remote host and
port. This is useful for those of that use ip masquerading, or NAT,
and want to be able to reach your internal hosts.

xinetd also has the ability to bind specific services to specific
interfaces. This is useful when you want to make services available
for your internal network, but not the rest of the world.  Or to have
a different service running on the same port, but different interfaces.

%package ipv6
Summary: 	Xinetd is a powerful replacement for inetd.
Group: System/Base
Copyright: BSD
Requires: xinetd

%description ipv6
xinetd is a powerful replacement for inetd.
xinetd has access control machanisms, extensive logging capabilities,
the ability to make services available based on time, and can place
limits on the number of servers that can be started, among other things.

xinetd has the ability to redirect TCP streams to a remote host and
port. This is useful for those of that use ip masquerading, or NAT,
and want to be able to reach your internal hosts.

xinetd also has the ability to bind specific services to specific
interfaces. This is useful when you want to make services available
for your internal network, but not the rest of the world.  Or to have
a different service running on the same port, but different interfaces.

This version is compiled for IPV6.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure  --with-libwrap --with-inet6
%__make
mv -f xinetd/xinetd xinetd-ipv6

%__make clean
rm -f config.cache
%configure  --with-libwrap
%__make

cp -p libs/src/sio/README README-libsio
cp -p libs/src/str/README README-libstr
cp -p libs/src/misc/README README-libmisc

bzcat %SOURCE50 > FAQ.html

%install
[ -d $RPM_BUILD_ROOT ] && rm -r $RPM_BUILD_ROOT;
install -d %buildroot%{_initrddir}/
%makeinstall DAEMONDIR=$RPM_BUILD_ROOT%{_sbindir} MANDIR=$RPM_BUILD_ROOT/%{_mandir} FMODE="-m 644"

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/
bzcat %SOURCE1 > %buildroot%{_initrddir}/xinetd
chmod 755 %buildroot%{_initrddir}/xinetd

mv %buildroot/%{_sbindir}/xinetd %buildroot/%{_sbindir}/xinetd-%version
install -m755 xinetd-ipv6 %buildroot/%{_sbindir}/xinetd-ipv6

install -m 644 %SOURCE2 $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.conf
install -m 755 %SOURCE3 $RPM_BUILD_ROOT%{_sbindir}/inetdconvert
install -m 644 %SOURCE4 $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/time
install -m 644 %SOURCE5 $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/time-udp
install -m 644 %SOURCE6 $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/daytime
install -m 644 %SOURCE7 $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/daytime-udp
install -m 644 %SOURCE8 $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/echo
install -m 644 %SOURCE9 $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/echo-udp
install -m 644 %SOURCE10 $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/chargen
install -m 644 %SOURCE11 $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/chargen-udp

install -D -m 644 %SOURCE12 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/xinetd

make LIBDIR=$RPM_BUILD_ROOT%{_libdir}/xinetd \
        INCLUDEDIR=$RPM_BUILD_ROOT%{_includedir}/xinetd \
        MANDIR=$RPM_BUILD_ROOT%{_mandir}/man3 FMODE="-m 644"  makelibs 

# no need to ship this one since we provide inetdconvert
rm -f $RPM_BUILD_ROOT%{_sbindir}/itox
rm -f $RPM_BUILD_ROOT%{_sbindir}/xconv.pl
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/itox*

#workaround for rpm weirdness
ln -s /etc/alternatives/%{name} %buildroot/%{_sbindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-alternatives --install %{_sbindir}/xinetd xinetd %{_sbindir}/xinetd-%version 10
%_post_service %{name}

%post ipv6
update-alternatives --install %{_sbindir}/xinetd xinetd %{_sbindir}/xinetd-ipv6 20
%_post_service %{name}

%preun
%_preun_service  %{name}

%postun
if [ "$1" -ge "1" ]; then
  /sbin/service xinetd condrestart >/dev/null 2>&1
fi

%postun ipv6
if [ "$1" -ge "1" ]; then
  /sbin/service xinetd condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc INSTALL README FAQ.html xinetd/CHANGELOG xinetd/COPYRIGHT xinetd/sample.conf
%config(noreplace) /etc/sysconfig/xinetd
%config(noreplace) %attr(755,root,root) %{_initrddir}/xinetd
%config(noreplace) %{_sysconfdir}/xinetd.conf
%config(noreplace) %{_sysconfdir}/xinetd.d/*
%{_sbindir}/xinetd-%version
%{_sbindir}/inetdconvert
%{_mandir}/*/*

%files ipv6
%defattr(-,root,root)
%doc README xinetd/COPYRIGHT
%{_sbindir}/xinetd-ipv6

%changelog
* Tue Aug 28 2001 Vincent Danen <vdanen@mandrakesoft.com> 2.3.0-5.1mdk
- security fix for 8.0

* Wed Aug 22 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.0-5mdk
- Merge RH patches.

* Thu Aug  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.0-4mdk
- Fix alternatives initscripts (pixel).

* Tue Aug  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.0-3mdk
- Disable logfile patch (broken).

* Thu Aug  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.0-2mdk
- Rework initscripts.
- Merge logfile patch from RedHat.

* Fri Jun 29 2001 Vincent Danen <vdanen@mandrakesoft.com> 2.3.0-1mdk
- 2.3.0 final

* Wed Jun 27 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre17-1mdk
- pre17.

* Thu Jun 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre16-1mdk
- pre16.

* Wed Jun 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre15-3mdk
- Remove the %ghost/usr/sbin/xinetd (pixel).

* Mon Jun 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre15-2mdk
- set TMPDIR to /tmp/ before launching daemon.

* Mon May 28 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre15-1mdk
- 2.1.8.9pre15 with patch from Steve G <linux_4ever@yahoo.com> for
  IPV6 compilation.

* Fri May 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre14-6mdk
- Add /etc/sysconfig/xinetd so users can add extra options (rh).
- Add tcp wait=yes patch.

* Wed Apr  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre14-5mdk
- Add rh patches :
		Because realloc() doesn't initialize newly-allocated memory,
		the NULL pointer on the end can't be assumed to be there.
- User server build macros.

* Tue Apr  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre14-3mdk
- Remove /etc/init.d/ requires (rpm bugs ?)

* Wed Feb 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre14-2mdk
- Obsoletes: now netkit-base.

* Mon Feb  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre14-1mdk
- 2.1.8.9pre14.

* Mon Nov 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre13-4mdk
- Requires: xinetd even for xinetd-ipv6.
- Workaround for alternatvies and upgrade.

* Thu Nov 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre13-3mdk
- Don't put alternatives only in upgrade mode.

* Wed Nov 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre13-2mdk
- add xinetd-ipv6 package with enabled ipv6 and alternatives high for
  this package.

* Tue Nov 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.1.8.9pre13-1mdk
- be pedantic and use even more macros.
- new and shiny source bumped into cooker.
- enable ipv6.

* Fri Nov 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre12-3mdk
- rewrote inetdconvert as perl.

* Fri Oct 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre12-2mdk
- Obsoletes xinetd-devel.
- Add default inetd services like redhat does.

* Thu Oct 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre12-1mdk
- 2.1.8.9pre12.

* Fri Oct 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre11-1mdk
- 2.1.8.9pre11.

* Tue Oct 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre10-6mdk
- InitS at 56 to start after bind.

* Mon Oct  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre10-5mdk
- Preferred to do the Alexander way to check if NETWORKING is up.

* Mon Oct  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre10-4mdk
- Install includes as 644.

* Wed Sep 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre10-3mdk
- Add probe dummy target in init script for linuxconf.

* Mon Sep 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre10-2mdk
- Fix initscripts for network.

* Sun Sep 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre10-1mdk
- 2.18.9pre10.

* Sat Sep 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre9-3mdk
- Add some noreplace
- Do a condrestart only when DURING_INSTALL is NULL.

* Sat Sep 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre9-2mdk
- Fix initscripts.
- Add pidfile writing to file patch (rh).
- Add patch to skip junk file (.rpmsave/.rpmnew/~) (rh).

* Thu Aug  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre9-1mdk
- 2.1.8.9pre9.

* Sun Jul 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre8-7mdk
- Correct postscripts.
- Add condrestart to the init.d/ script to restart xinetd only when
  his launched.
- Upgrade faq.

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre8-6mdk
- Make rpmlint happy with %{_initrddir}/ files.
- BM.

* Fri Jul 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre8-5mdk
- Move to main/.
- Clean up of %post %pre %preun.
- Add malloc patches.

* Thu Jul 13 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.1.8.9pre8-4mdk
- fixed permission problem

* Wed Jul 12 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.1.8.9pre8-3mdk
- removed %group
- removed _sysconfdir 

* Mon Jul 10 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.1.8.9pre8-2mdk
- macroszifications
- specfile cleanup

* Mon Jul 10 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.1.8.9pre8-1mdk
- new beta version

* Mon Jun 26 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.1.8.8p3-2mdk
- fix chkconfig problem

* Wed Jun 21 2000 Christian Zoffoli <czoffoli@littlepenguin.org> 2.1.8.8p3-1mdk
- built first spec.
- Mandrakized version
- Enabled IPv6 Support
- Added FAQ

